package com.izouma.nineth.service;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;


@SpringBootTest
@RunWith(SpringRunner.class)
public class StatisticServiceTest {

    @Autowired
    private StatisticService statisticService;

    @Test
    public void total() {
        System.out.println(statisticService.total());
    }

    @Test
    public void userTrend() {
        System.out.println(statisticService.userTrend(7));
    }

    @Test
    public void orderNumTrend() {
        System.out.println(statisticService.orderNumTrend(7));
    }

    @Test
    public void orderPriceTrend() {
        System.out.println(statisticService.orderPriceTrend(7));
    }
}